void_destructor< T > Struct Template Reference
Uncategorized

A helper class to make it possible to store a non-pointer object or a pointer that must not be freed in a shared pointer. More...

`#include <mia/core/tools.hh>`

## Public Member Functions

virtual void | operator() (T *)

## Detailed Description

template<typename T>
struct void_destructor< T >

A helper class to make it possible to store a non-pointer object or a pointer that must not be freed in a shared pointer.

Template Parameters

  the | type type be stored

Definition at line 42 of file tools.hh.

## Member Function Documentation

## operator()()

template<typename T>

virtual void void_destructor< T >::operator() | ( | T * |  | ) |

inline virtual

Definition at line 43 of file tools.hh.

The documentation for this struct was generated from the following file:

- tools.hh